Function
calculateOverlapIndicator
Calculate word overlaps: epsilon(word1,word2)= 1 where word2[j]=word1[j+p] for all j=1...(k-p)
calculateOverlapIndicator(epsilon, word1, word2)
Include Headers
seqan/alignment_free.h
Parameters

epsilon | String<int> giving the periodicity ("overlap indicator") of word1 and word2 Types: String
word1 | String (for example a DNA sequence) Types: String
word2 | String (for example a DNA sequence) Types: String

Remarks
Calculate the indicator for overlaps of two words. The formula is based on Robin, S., Rodolphe, F., and Schbath, S. (2005). DNA, Words and Models. Cambridge University Press. See Jonathan Goeke et al (to appear) for details on the implementation.
Return Values
String<int> epsilon, the word overlap indicator.
Examples
Calculate the overlap indicator (epsilon) for two words
using namespace seqan;
DnaString word1 = "ATATA";
DnaString word2 = "TATAT";
String<int> epsilon;
calculateOverlapIndicator(epsilon, word1, word2);
for(unsigned i = 0; i < length(epsilon); ++i)
std::cout << epsilon[i] << "\t";
// epsilon = 01010:
// word1 ATATA
// word2 overlap 1: -TATAT
// word2 overlap 2: ---TATAT
See Also
calculateCovariance, alignmentFreeComparison, calculateVariance, calculatePeriodicity
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57